> For the complete documentation index, see [llms.txt](https://docs.commercelayer.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.commercelayer.io/core-api-reference/2026-05/return_line_items.md).

# Return line items

The return line item object and the allowed CRUD operations on the related resource endpoint

A return line item represents an [SKU](/core-api-reference/2026-05/skus.md) or [bundle](/core-api-reference/2026-05/bundles.md) being sent back as part of a [return](/core-api-reference/2026-05/returns.md). The `quantity` attribute determines how many units are being returned. The total amount to be returned is calculated automatically from the original line item's unit amount, the returned quantity, and any discounts that applied to the original purchase.

{% hint style="info" %}
Optionally, populate the `return_reason` attribute with a custom set of key-value pairs to record why the item is being returned.
{% endhint %}

Once the related return is marked as `received`, you can restock a return line item's SKU by passing the `_restock` trigger attribute — the `restocked_at` timestamp is then set automatically.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.commercelayer.io/core-api-reference/2026-05/return_line_items.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
